Name:           python-blake3
Version:        1.0.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python bindings for the Rust blake3 crate

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/oconnor663/blake3-py
Source:         %{pypi_source blake3}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'blake3' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-blake3
Summary:        %{summary}

%description -n python3-blake3 %_description


%prep
%autosetup -p1 -n blake3-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-blake3 -f %{pyproject_files}


%changelog
%autochangelog